/* Copyright (C) 2013 by Bundesamt fuer Strahlenschutz
 * Software engineering by Intevation GmbH
 *
 * This file is Free Software under the GNU GPL (v>=3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out
 * the documentation coming with IMIS-Labordaten-Application for details.
 */

/**
 * Model class for Status
 */
Ext.define('Lada.model.Status', {
    extend: 'Ext.data.Model',

    fields: [{
        name: 'id'
    }, {
        name: 'readonly',
        type: 'boolean',
        persist: false
    }, {
        name: 'owner',
        type: 'boolean'
    }, {
        name: 'messungsId'
    }, {
        name: 'erzeuger'
    }, {
        name: 'statusStufe',
        type: 'int',
        defaultValue: 1
    }, {
        name: 'statusWert',
        type: 'int',
        defaultValue: 0
    }, {
        name: 'treeModified',
        serialize: function(value) {
            if (value === '') {
               return null;
           }
           return value;
        }
    }, {
       name: 'parentModified',
       serialize: function(value) {
           if (value === '') {
               return null;
           }
           return value;
       }
    }, {
        name: 'datum',
        type: 'date',
        convert: function(v) {
            if (!v) {
                return v;
            }
            return new Date(v);
        }
    }, {
        name: 'text'
    }],

    idProperty: 'id',

    proxy: {
        type: 'rest',
        url: 'lada-server/rest/status',
        reader: {
            type: 'json',
            root: 'data'
        }
    }
});
